gSOAP UDDI v2: /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h File Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h File Reference

## Classes
class | uddi2__address
| Schema urn:uddi-org:api_v2:"address". More...
class | uddi2__assertionStatusItem
| Schema urn:uddi-org:api_v2:"assertionStatusItem". More...
class | uddi2__bindingTemplate
| Schema urn:uddi-org:api_v2:"bindingTemplate". More...
class | uddi2__bindingTemplates
| Schema urn:uddi-org:api_v2:"bindingTemplates". More...
class | uddi2__businessEntity
| Schema urn:uddi-org:api_v2:"businessEntity". More...
class | uddi2__businessEntityExt
| Schema urn:uddi-org:api_v2:"businessEntityExt". More...
class | uddi2__businessInfo
| Schema urn:uddi-org:api_v2:"businessInfo". More...
class | uddi2__businessInfos
| Schema urn:uddi-org:api_v2:"businessInfos". More...
class | uddi2__businessService
| Schema urn:uddi-org:api_v2:"businessService". More...
class | uddi2__businessServices
| Schema urn:uddi-org:api_v2:"businessServices". More...
class | uddi2__categoryBag
| Schema urn:uddi-org:api_v2:"categoryBag". More...
class | uddi2__contact
| Schema urn:uddi-org:api_v2:"contact". More...
class | uddi2__contacts
| Schema urn:uddi-org:api_v2:"contacts". More...
class | uddi2__discoveryURLs
| Schema urn:uddi-org:api_v2:"discoveryURLs". More...
class | uddi2__dispositionReport
| Schema urn:uddi-org:api_v2:"dispositionReport". More...
class | uddi2__findQualifiers
| Schema urn:uddi-org:api_v2:"findQualifiers". More...
class | uddi2__hostingRedirector
| Schema urn:uddi-org:api_v2:"hostingRedirector". More...
class | uddi2__identifierBag
| Schema urn:uddi-org:api_v2:"identifierBag". More...
class | uddi2__instanceDetails
| Schema urn:uddi-org:api_v2:"instanceDetails". More...
class | uddi2__keyedReference
| Schema urn:uddi-org:api_v2:"keyedReference". More...
class | uddi2__keysOwned
| Schema urn:uddi-org:api_v2:"keysOwned". More...
class | uddi2__overviewDoc
| Schema urn:uddi-org:api_v2:"overviewDoc". More...
class | uddi2__publisherAssertion
| Schema urn:uddi-org:api_v2:"publisherAssertion". More...
class | uddi2__relatedBusinessInfo
| Schema urn:uddi-org:api_v2:"relatedBusinessInfo". More...
class | uddi2__relatedBusinessInfos
| Schema urn:uddi-org:api_v2:"relatedBusinessInfos". More...
class | uddi2__result
| Schema urn:uddi-org:api_v2:"result". More...
class | uddi2__serviceInfo
| Schema urn:uddi-org:api_v2:"serviceInfo". More...
class | uddi2__serviceInfos
| Schema urn:uddi-org:api_v2:"serviceInfos". More...
class | uddi2__sharedRelationships
| Schema urn:uddi-org:api_v2:"sharedRelationships". More...
class | uddi2__tModel
| Schema urn:uddi-org:api_v2:"tModel". More...
class | uddi2__tModelBag
| Schema urn:uddi-org:api_v2:"tModelBag". More...
class | uddi2__tModelInfo
| Schema urn:uddi-org:api_v2:"tModelInfo". More...
class | uddi2__tModelInfos
| Schema urn:uddi-org:api_v2:"tModelInfos". More...
class | uddi2__tModelInstanceDetails
| Schema urn:uddi-org:api_v2:"tModelInstanceDetails". More...
class | uddi2__tModelInstanceInfo
| Schema urn:uddi-org:api_v2:"tModelInstanceInfo". More...
class | uddi2__add_USCOREpublisherAssertions
| Schema urn:uddi-org:api_v2:"add_publisherAssertions". More...
class | uddi2__delete_USCOREbinding
| Schema urn:uddi-org:api_v2:"delete_binding". More...
class | uddi2__delete_USCOREbusiness
| Schema urn:uddi-org:api_v2:"delete_business". More...
class | uddi2__delete_USCOREpublisherAssertions
| Schema urn:uddi-org:api_v2:"delete_publisherAssertions". More...
class | uddi2__delete_USCOREservice
| Schema urn:uddi-org:api_v2:"delete_service". More...
class | uddi2__delete_USCOREtModel
| Schema urn:uddi-org:api_v2:"delete_tModel". More...
class | uddi2__discard_USCOREauthToken
| Schema urn:uddi-org:api_v2:"discard_authToken". More...
class | uddi2__find_USCOREbinding
| Schema urn:uddi-org:api_v2:"find_binding". More...
class | uddi2__find_USCOREbusiness
| Schema urn:uddi-org:api_v2:"find_business". More...
class | uddi2__find_USCORErelatedBusinesses
| Schema urn:uddi-org:api_v2:"find_relatedBusinesses". More...
class | uddi2__find_USCOREservice
| Schema urn:uddi-org:api_v2:"find_service". More...
class | uddi2__find_USCOREtModel
| Schema urn:uddi-org:api_v2:"find_tModel". More...
class | uddi2__get_USCOREassertionStatusReport
| Schema urn:uddi-org:api_v2:"get_assertionStatusReport". More...
class | uddi2__get_USCOREauthToken
| Schema urn:uddi-org:api_v2:"get_authToken". More...
class | uddi2__get_USCOREbindingDetail
| Schema urn:uddi-org:api_v2:"get_bindingDetail". More...
class | uddi2__get_USCOREbusinessDetail
| Schema urn:uddi-org:api_v2:"get_businessDetail". More...
class | uddi2__get_USCOREbusinessDetailExt
| Schema urn:uddi-org:api_v2:"get_businessDetailExt". More...
class | uddi2__get_USCOREpublisherAssertions
| Schema urn:uddi-org:api_v2:"get_publisherAssertions". More...
class | uddi2__get_USCOREregisteredInfo
| Schema urn:uddi-org:api_v2:"get_registeredInfo". More...
class | uddi2__get_USCOREserviceDetail
| Schema urn:uddi-org:api_v2:"get_serviceDetail". More...
class | uddi2__get_USCOREtModelDetail
| Schema urn:uddi-org:api_v2:"get_tModelDetail". More...
class | uddi2__save_USCOREbinding
| Schema urn:uddi-org:api_v2:"save_binding". More...
class | uddi2__save_USCOREbusiness
| Schema urn:uddi-org:api_v2:"save_business". More...
class | uddi2__save_USCOREservice
| Schema urn:uddi-org:api_v2:"save_service". More...
class | uddi2__save_USCOREtModel
| Schema urn:uddi-org:api_v2:"save_tModel". More...
class | uddi2__set_USCOREpublisherAssertions
| Schema urn:uddi-org:api_v2:"set_publisherAssertions". More...
class | uddi2__validate_USCOREvalues
| Schema urn:uddi-org:api_v2:"validate_values". More...
class | uddi2__assertionStatusReport
| Schema urn:uddi-org:api_v2:"assertionStatusReport". More...
class | uddi2__authToken
| Schema urn:uddi-org:api_v2:"authToken". More...
class | uddi2__bindingDetail
| Schema urn:uddi-org:api_v2:"bindingDetail". More...
class | uddi2__businessDetail
| Schema urn:uddi-org:api_v2:"businessDetail". More...
class | uddi2__businessDetailExt
| Schema urn:uddi-org:api_v2:"businessDetailExt". More...
class | uddi2__businessList
| Schema urn:uddi-org:api_v2:"businessList". More...
class | uddi2__publisherAssertions
| Schema urn:uddi-org:api_v2:"publisherAssertions". More...
class | uddi2__registeredInfo
| Schema urn:uddi-org:api_v2:"registeredInfo". More...
class | uddi2__relatedBusinessesList
| Schema urn:uddi-org:api_v2:"relatedBusinessesList". More...
class | uddi2__serviceDetail
| Schema urn:uddi-org:api_v2:"serviceDetail". More...
class | uddi2__serviceList
| Schema urn:uddi-org:api_v2:"serviceList". More...
class | uddi2__tModelDetail
| Schema urn:uddi-org:api_v2:"tModelDetail". More...
class | uddi2__tModelList
| Schema urn:uddi-org:api_v2:"tModelList". More...
class | uddi2__accessPoint
| Schema urn:uddi-org:api_v2:"accessPoint". More...
class | uddi2__addressLine
| Schema urn:uddi-org:api_v2:"addressLine". More...
class | uddi2__description
| Schema urn:uddi-org:api_v2:"description". More...
class | uddi2__discoveryURL
| Schema urn:uddi-org:api_v2:"discoveryURL". More...
class | uddi2__email
| Schema urn:uddi-org:api_v2:"email". More...
class | uddi2__errInfo
| Schema urn:uddi-org:api_v2:"errInfo". More...
class | uddi2__name
| Schema urn:uddi-org:api_v2:"name". More...
class | uddi2__phone
| Schema urn:uddi-org:api_v2:"phone". More...
class | _dispositionReport
| The SOAP Fault Detail element contains one of the following types serialized. More...
## Typedefs
typedef char * | xsd__NMTOKEN
| Primitive built-in type "xs:NMTOKEN".
typedef char * | xml__lang
| Built-in attribute "xml:lang".
typedef char * | uddi2__bindingKey
| Schema "urn:uddi-org:api_v2":bindingKey simpleType restriction of xs:string.
typedef char * | uddi2__businessKey
| Schema "urn:uddi-org:api_v2":businessKey simpleType restriction of xs:string.
typedef char * | uddi2__serviceKey
| Schema "urn:uddi-org:api_v2":serviceKey simpleType restriction of xs:string.
typedef char * | uddi2__tModelKey
| Schema "urn:uddi-org:api_v2":tModelKey simpleType restriction of xs:string.
## Enumerations
enum | uddi2__direction { uddi2__direction__fromKey, uddi2__direction__toKey }
| Schema "urn:uddi-org:api_v2":direction simpleType restriction of xs:NMTOKEN Note: enum values are prefixed with 'uddi2__direction' to avoid name clashes, please use wsdl2h option -e to omit this prefix. More...
enum | uddi2__truncated { uddi2__truncated__true_, uddi2__truncated__false_ }
| Schema "urn:uddi-org:api_v2":truncated simpleType restriction of xs:NMTOKEN Note: enum values are prefixed with 'uddi2__truncated' to avoid name clashes, please use wsdl2h option -e to omit this prefix. More...
enum | uddi2__URLType { uddi2__URLType__mailto, uddi2__URLType__http, uddi2__URLType__https, uddi2__URLType__ftp, uddi2__URLType__fax, uddi2__URLType__phone, uddi2__URLType__other }
| Schema "urn:uddi-org:api_v2":URLType simpleType restriction of xs:NMTOKEN Note: enum values are prefixed with 'uddi2__URLType' to avoid name clashes, please use wsdl2h option -e to omit this prefix. More...
enum | uddi2__keyType { uddi2__keyType__businessKey, uddi2__keyType__tModelKey, uddi2__keyType__serviceKey, uddi2__keyType__bindingKey }
| Schema "urn:uddi-org:api_v2":keyType simpleType restriction of xs:NMTOKEN Note: enum values are prefixed with 'uddi2__keyType' to avoid name clashes, please use wsdl2h option -e to omit this prefix. More...
## Functions
int | __inq2__find_USCOREbinding (uddi2__find_USCOREbinding *uddi2__find_USCOREbinding_, uddi2__bindingDetail *uddi2__bindingDetail_)
| Operation "__inq2__find_USCOREbinding" of service binding "InquireSoap".
int | __inq2__find_USCOREbusiness (uddi2__find_USCOREbusiness *uddi2__find_USCOREbusiness_, uddi2__businessList *uddi2__businessList_)
| Operation "__inq2__find_USCOREbusiness" of service binding "InquireSoap".
int | __inq2__find_USCORErelatedBusinesses (uddi2__find_USCORErelatedBusinesses *uddi2__find_USCORErelatedBusinesses_, uddi2__relatedBusinessesList *uddi2__relatedBusinessesList_)
| Operation "__inq2__find_USCORErelatedBusinesses" of service binding "InquireSoap".
int | __inq2__find_USCOREservice (uddi2__find_USCOREservice *uddi2__find_USCOREservice_, uddi2__serviceList *uddi2__serviceList_)
| Operation "__inq2__find_USCOREservice" of service binding "InquireSoap".
int | __inq2__find_USCOREtModel (uddi2__find_USCOREtModel *uddi2__find_USCOREtModel_, uddi2__tModelList *uddi2__tModelList_)
| Operation "__inq2__find_USCOREtModel" of service binding "InquireSoap".
int | __inq2__get_USCOREbindingDetail (uddi2__get_USCOREbindingDetail *uddi2__get_USCOREbindingDetail_, uddi2__bindingDetail *uddi2__bindingDetail_)
| Operation "__inq2__get_USCOREbindingDetail" of service binding "InquireSoap".
int | __inq2__get_USCOREbusinessDetail (uddi2__get_USCOREbusinessDetail *uddi2__get_USCOREbusinessDetail_, uddi2__businessDetail *uddi2__businessDetail_)
| Operation "__inq2__get_USCOREbusinessDetail" of service binding "InquireSoap".
int | __inq2__get_USCOREbusinessDetailExt (uddi2__get_USCOREbusinessDetailExt *uddi2__get_USCOREbusinessDetailExt_, uddi2__businessDetailExt *uddi2__businessDetailExt_)
| Operation "__inq2__get_USCOREbusinessDetailExt" of service binding "InquireSoap".
int | __inq2__get_USCOREserviceDetail (uddi2__get_USCOREserviceDetail *uddi2__get_USCOREserviceDetail_, uddi2__serviceDetail *uddi2__serviceDetail_)
| Operation "__inq2__get_USCOREserviceDetail" of service binding "InquireSoap".
int | __inq2__get_USCOREtModelDetail (uddi2__get_USCOREtModelDetail *uddi2__get_USCOREtModelDetail_, uddi2__tModelDetail *uddi2__tModelDetail_)
| Operation "__inq2__get_USCOREtModelDetail" of service binding "InquireSoap".
int | __pub2__add_USCOREpublisherAssertions (uddi2__add_USCOREpublisherAssertions *uddi2__add_USCOREpublisherAssertions_, uddi2__dispositionReport *uddi2__dispositionReport_)
| Operation "__pub2__add_USCOREpublisherAssertions" of service binding "PublishSoap".
int | __pub2__delete_USCOREbinding (uddi2__delete_USCOREbinding *uddi2__delete_USCOREbinding_, uddi2__dispositionReport *uddi2__dispositionReport_)
| Operation "__pub2__delete_USCOREbinding" of service binding "PublishSoap".
int | __pub2__delete_USCOREbusiness (uddi2__delete_USCOREbusiness *uddi2__delete_USCOREbusiness_, uddi2__dispositionReport *uddi2__dispositionReport_)
| Operation "__pub2__delete_USCOREbusiness" of service binding "PublishSoap".
int | __pub2__delete_USCOREpublisherAssertions (uddi2__delete_USCOREpublisherAssertions *uddi2__delete_USCOREpublisherAssertions_, uddi2__dispositionReport *uddi2__dispositionReport_)
| Operation "__pub2__delete_USCOREpublisherAssertions" of service binding "PublishSoap".
int | __pub2__delete_USCOREservice (uddi2__delete_USCOREservice *uddi2__delete_USCOREservice_, uddi2__dispositionReport *uddi2__dispositionReport_)
| Operation "__pub2__delete_USCOREservice" of service binding "PublishSoap".
int | __pub2__delete_USCOREtModel (uddi2__delete_USCOREtModel *uddi2__delete_USCOREtModel_, uddi2__dispositionReport *uddi2__dispositionReport_)
| Operation "__pub2__delete_USCOREtModel" of service binding "PublishSoap".
int | __pub2__discard_USCOREauthToken (uddi2__discard_USCOREauthToken *uddi2__discard_USCOREauthToken_, uddi2__dispositionReport *uddi2__dispositionReport_)
| Operation "__pub2__discard_USCOREauthToken" of service binding "PublishSoap".
int | __pub2__get_USCOREassertionStatusReport (uddi2__get_USCOREassertionStatusReport *uddi2__get_USCOREassertionStatusReport_, uddi2__assertionStatusReport *uddi2__assertionStatusReport_)
| Operation "__pub2__get_USCOREassertionStatusReport" of service binding "PublishSoap".
int | __pub2__get_USCOREauthToken (uddi2__get_USCOREauthToken *uddi2__get_USCOREauthToken_, uddi2__authToken *uddi2__authToken_)
| Operation "__pub2__get_USCOREauthToken" of service binding "PublishSoap".
int | __pub2__get_USCOREpublisherAssertions (uddi2__get_USCOREpublisherAssertions *uddi2__get_USCOREpublisherAssertions_, uddi2__publisherAssertions *uddi2__publisherAssertions_)
| Operation "__pub2__get_USCOREpublisherAssertions" of service binding "PublishSoap".
int | __pub2__get_USCOREregisteredInfo (uddi2__get_USCOREregisteredInfo *uddi2__get_USCOREregisteredInfo_, uddi2__registeredInfo *uddi2__registeredInfo_)
| Operation "__pub2__get_USCOREregisteredInfo" of service binding "PublishSoap".
int | __pub2__save_USCOREbinding (uddi2__save_USCOREbinding *uddi2__save_USCOREbinding_, uddi2__bindingDetail *uddi2__bindingDetail_)
| Operation "__pub2__save_USCOREbinding" of service binding "PublishSoap".
int | __pub2__save_USCOREbusiness (uddi2__save_USCOREbusiness *uddi2__save_USCOREbusiness_, uddi2__businessDetail *uddi2__businessDetail_)
| Operation "__pub2__save_USCOREbusiness" of service binding "PublishSoap".
int | __pub2__save_USCOREservice (uddi2__save_USCOREservice *uddi2__save_USCOREservice_, uddi2__serviceDetail *uddi2__serviceDetail_)
| Operation "__pub2__save_USCOREservice" of service binding "PublishSoap".
int | __pub2__save_USCOREtModel (uddi2__save_USCOREtModel *uddi2__save_USCOREtModel_, uddi2__tModelDetail *uddi2__tModelDetail_)
| Operation "__pub2__save_USCOREtModel" of service binding "PublishSoap".
int | __pub2__set_USCOREpublisherAssertions (uddi2__set_USCOREpublisherAssertions *uddi2__set_USCOREpublisherAssertions_, uddi2__publisherAssertions *uddi2__publisherAssertions_)
| Operation "__pub2__set_USCOREpublisherAssertions" of service binding "PublishSoap".

## Typedef Documentation

typedef char* uddi2__bindingKey

| Schema "urn:uddi-org:api_v2":bindingKey simpleType restriction of xs:string.

typedef char* uddi2__businessKey

| Schema "urn:uddi-org:api_v2":businessKey simpleType restriction of xs:string.

typedef char* uddi2__serviceKey

| Schema "urn:uddi-org:api_v2":serviceKey simpleType restriction of xs:string.

typedef char* uddi2__tModelKey

| Schema "urn:uddi-org:api_v2":tModelKey simpleType restriction of xs:string.

typedef char* xml__lang

| Built-in attribute "xml:lang".

typedef char* xsd__NMTOKEN

| Primitive built-in type "xs:NMTOKEN".

## Enumeration Type Documentation

enum uddi2__direction

  | Schema "urn:uddi-org:api_v2":direction simpleType restriction of xs:NMTOKEN Note: enum values are prefixed with 'uddi2__direction' to avoid name clashes, please use wsdl2h option -e to omit this prefix. Enumeration values:
  uddi2__direction__fromKey | xs:NMTOKEN value="fromKey"
  uddi2__direction__toKey | xs:NMTOKEN value="toKey"

enum uddi2__keyType

  | Schema "urn:uddi-org:api_v2":keyType simpleType restriction of xs:NMTOKEN Note: enum values are prefixed with 'uddi2__keyType' to avoid name clashes, please use wsdl2h option -e to omit this prefix. Enumeration values:
  uddi2__keyType__businessKey | xs:NMTOKEN value="businessKey"
  uddi2__keyType__tModelKey | xs:NMTOKEN value="tModelKey"
  uddi2__keyType__serviceKey | xs:NMTOKEN value="serviceKey"
  uddi2__keyType__bindingKey | xs:NMTOKEN value="bindingKey"

enum uddi2__truncated

  | Schema "urn:uddi-org:api_v2":truncated simpleType restriction of xs:NMTOKEN Note: enum values are prefixed with 'uddi2__truncated' to avoid name clashes, please use wsdl2h option -e to omit this prefix. Enumeration values:
  uddi2__truncated__true_ | xs:NMTOKEN value="true"
  uddi2__truncated__false_ | xs:NMTOKEN value="false"

enum uddi2__URLType

  | Schema "urn:uddi-org:api_v2":URLType simpleType restriction of xs:NMTOKEN Note: enum values are prefixed with 'uddi2__URLType' to avoid name clashes, please use wsdl2h option -e to omit this prefix. Enumeration values:
  uddi2__URLType__mailto | xs:NMTOKEN value="mailto"
  uddi2__URLType__http | xs:NMTOKEN value="http"
  uddi2__URLType__https | xs:NMTOKEN value="https"
  uddi2__URLType__ftp | xs:NMTOKEN value="ftp"
  uddi2__URLType__fax | xs:NMTOKEN value="fax"
  uddi2__URLType__phone | xs:NMTOKEN value="phone"
  uddi2__URLType__other | xs:NMTOKEN value="other"

## Function Documentation

int __inq2__find_USCOREbinding | ( | uddi2__find_USCOREbinding * | uddi2__find_USCOREbinding_,
|  | uddi2__bindingDetail * | uddi2__bindingDetail_
| ) |

| Operation "__inq2__find_USCOREbinding" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="find_binding" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__find_USCOREbinding(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__find_USCOREbinding*          uddi2__find_USCOREbinding_,
        // response parameters:
        uddi2__bindingDetail*               uddi2__bindingDetail_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__bindingDetail_ | response parameter

int __inq2__find_USCOREbusiness | ( | uddi2__find_USCOREbusiness * | uddi2__find_USCOREbusiness_,
|  | uddi2__businessList * | uddi2__businessList_
| ) |

| Operation "__inq2__find_USCOREbusiness" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="find_business" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__find_USCOREbusiness(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__find_USCOREbusiness*         uddi2__find_USCOREbusiness_,
        // response parameters:
        uddi2__businessList*                uddi2__businessList_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__businessList_ | response parameter

int __inq2__find_USCORErelatedBusinesses | ( | uddi2__find_USCORErelatedBusinesses * | uddi2__find_USCORErelatedBusinesses_,
|  | uddi2__relatedBusinessesList * | uddi2__relatedBusinessesList_
| ) |

| Operation "__inq2__find_USCORErelatedBusinesses" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="find_relatedBusinesses" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__find_USCORErelatedBusinesses(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__find_USCORErelatedBusinesses* uddi2__find_USCORErelatedBusinesses_,
        // response parameters:
        uddi2__relatedBusinessesList*       uddi2__relatedBusinessesList_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__relatedBusinessesList_ | response parameter

int __inq2__find_USCOREservice | ( | uddi2__find_USCOREservice * | uddi2__find_USCOREservice_,
|  | uddi2__serviceList * | uddi2__serviceList_
| ) |

| Operation "__inq2__find_USCOREservice" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="find_service" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__find_USCOREservice(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__find_USCOREservice*          uddi2__find_USCOREservice_,
        // response parameters:
        uddi2__serviceList*                 uddi2__serviceList_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__serviceList_ | response parameter

int __inq2__find_USCOREtModel | ( | uddi2__find_USCOREtModel * | uddi2__find_USCOREtModel_,
|  | uddi2__tModelList * | uddi2__tModelList_
| ) |

| Operation "__inq2__find_USCOREtModel" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="find_tModel" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__find_USCOREtModel(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__find_USCOREtModel*           uddi2__find_USCOREtModel_,
        // response parameters:
        uddi2__tModelList*                  uddi2__tModelList_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__tModelList_ | response parameter

int __inq2__get_USCOREbindingDetail | ( | uddi2__get_USCOREbindingDetail * | uddi2__get_USCOREbindingDetail_,
|  | uddi2__bindingDetail * | uddi2__bindingDetail_
| ) |

| Operation "__inq2__get_USCOREbindingDetail" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="get_bindingDetail" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__get_USCOREbindingDetail(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__get_USCOREbindingDetail*     uddi2__get_USCOREbindingDetail_,
        // response parameters:
        uddi2__bindingDetail*               uddi2__bindingDetail_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__bindingDetail_ | response parameter

int __inq2__get_USCOREbusinessDetail | ( | uddi2__get_USCOREbusinessDetail * | uddi2__get_USCOREbusinessDetail_,
|  | uddi2__businessDetail * | uddi2__businessDetail_
| ) |

| Operation "__inq2__get_USCOREbusinessDetail" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="get_businessDetail" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__get_USCOREbusinessDetail(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__get_USCOREbusinessDetail*    uddi2__get_USCOREbusinessDetail_,
        // response parameters:
        uddi2__businessDetail*              uddi2__businessDetail_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__businessDetail_ | response parameter

int __inq2__get_USCOREbusinessDetailExt | ( | uddi2__get_USCOREbusinessDetailExt * | uddi2__get_USCOREbusinessDetailExt_,
|  | uddi2__businessDetailExt * | uddi2__businessDetailExt_
| ) |

| Operation "__inq2__get_USCOREbusinessDetailExt" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="get_businessDetailExt" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__get_USCOREbusinessDetailExt(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__get_USCOREbusinessDetailExt* uddi2__get_USCOREbusinessDetailExt_,
        // response parameters:
        uddi2__businessDetailExt*           uddi2__businessDetailExt_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__businessDetailExt_ | response parameter

int __inq2__get_USCOREserviceDetail | ( | uddi2__get_USCOREserviceDetail * | uddi2__get_USCOREserviceDetail_,
|  | uddi2__serviceDetail * | uddi2__serviceDetail_
| ) |

| Operation "__inq2__get_USCOREserviceDetail" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="get_serviceDetail" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__get_USCOREserviceDetail(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__get_USCOREserviceDetail*     uddi2__get_USCOREserviceDetail_,
        // response parameters:
        uddi2__serviceDetail*               uddi2__serviceDetail_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__serviceDetail_ | response parameter

int __inq2__get_USCOREtModelDetail | ( | uddi2__get_USCOREtModelDetail * | uddi2__get_USCOREtModelDetail_,
|  | uddi2__tModelDetail * | uddi2__tModelDetail_
| ) |

| Operation "__inq2__get_USCOREtModelDetail" of service binding "InquireSoap". Operation details: SOAP document/literal style SOAP action="get_tModelDetail" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___inq2__get_USCOREtModelDetail(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__get_USCOREtModelDetail*      uddi2__get_USCOREtModelDetail_,
        // response parameters:
        uddi2__tModelDetail*                uddi2__tModelDetail_
      );
  C++ proxy class (defined in soapInquireSoapProxy.h): class InquireSoap; Parameters:
  uddi2__tModelDetail_ | response parameter

int __pub2__add_USCOREpublisherAssertions | ( | uddi2__add_USCOREpublisherAssertions * | uddi2__add_USCOREpublisherAssertions_,
|  | uddi2__dispositionReport * | uddi2__dispositionReport_
| ) |

| Operation "__pub2__add_USCOREpublisherAssertions" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="add_publisherAssertions" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__add_USCOREpublisherAssertions(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__add_USCOREpublisherAssertions* uddi2__add_USCOREpublisherAssertions_,
        // response parameters:
        uddi2__dispositionReport*           uddi2__dispositionReport_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__dispositionReport_ | response parameter

int __pub2__delete_USCOREbinding | ( | uddi2__delete_USCOREbinding * | uddi2__delete_USCOREbinding_,
|  | uddi2__dispositionReport * | uddi2__dispositionReport_
| ) |

| Operation "__pub2__delete_USCOREbinding" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="delete_binding" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__delete_USCOREbinding(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__delete_USCOREbinding*        uddi2__delete_USCOREbinding_,
        // response parameters:
        uddi2__dispositionReport*           uddi2__dispositionReport_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__dispositionReport_ | response parameter

int __pub2__delete_USCOREbusiness | ( | uddi2__delete_USCOREbusiness * | uddi2__delete_USCOREbusiness_,
|  | uddi2__dispositionReport * | uddi2__dispositionReport_
| ) |

| Operation "__pub2__delete_USCOREbusiness" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="delete_business" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__delete_USCOREbusiness(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__delete_USCOREbusiness*       uddi2__delete_USCOREbusiness_,
        // response parameters:
        uddi2__dispositionReport*           uddi2__dispositionReport_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__dispositionReport_ | response parameter

int __pub2__delete_USCOREpublisherAssertions | ( | uddi2__delete_USCOREpublisherAssertions * | uddi2__delete_USCOREpublisherAssertions_,
|  | uddi2__dispositionReport * | uddi2__dispositionReport_
| ) |

| Operation "__pub2__delete_USCOREpublisherAssertions" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="delete_publisherAssertions" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__delete_USCOREpublisherAssertions(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__delete_USCOREpublisherAssertions* uddi2__delete_USCOREpublisherAssertions_,
        // response parameters:
        uddi2__dispositionReport*           uddi2__dispositionReport_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__dispositionReport_ | response parameter

int __pub2__delete_USCOREservice | ( | uddi2__delete_USCOREservice * | uddi2__delete_USCOREservice_,
|  | uddi2__dispositionReport * | uddi2__dispositionReport_
| ) |

| Operation "__pub2__delete_USCOREservice" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="delete_service" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__delete_USCOREservice(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__delete_USCOREservice*        uddi2__delete_USCOREservice_,
        // response parameters:
        uddi2__dispositionReport*           uddi2__dispositionReport_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__dispositionReport_ | response parameter

int __pub2__delete_USCOREtModel | ( | uddi2__delete_USCOREtModel * | uddi2__delete_USCOREtModel_,
|  | uddi2__dispositionReport * | uddi2__dispositionReport_
| ) |

| Operation "__pub2__delete_USCOREtModel" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="delete_tModel" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__delete_USCOREtModel(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__delete_USCOREtModel*         uddi2__delete_USCOREtModel_,
        // response parameters:
        uddi2__dispositionReport*           uddi2__dispositionReport_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__dispositionReport_ | response parameter

int __pub2__discard_USCOREauthToken | ( | uddi2__discard_USCOREauthToken * | uddi2__discard_USCOREauthToken_,
|  | uddi2__dispositionReport * | uddi2__dispositionReport_
| ) |

| Operation "__pub2__discard_USCOREauthToken" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="discard_authToken" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__discard_USCOREauthToken(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__discard_USCOREauthToken*     uddi2__discard_USCOREauthToken_,
        // response parameters:
        uddi2__dispositionReport*           uddi2__dispositionReport_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__dispositionReport_ | response parameter

int __pub2__get_USCOREassertionStatusReport | ( | uddi2__get_USCOREassertionStatusReport * | uddi2__get_USCOREassertionStatusReport_,
|  | uddi2__assertionStatusReport * | uddi2__assertionStatusReport_
| ) |

| Operation "__pub2__get_USCOREassertionStatusReport" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="get_assertionStatusReport" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__get_USCOREassertionStatusReport(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__get_USCOREassertionStatusReport* uddi2__get_USCOREassertionStatusReport_,
        // response parameters:
        uddi2__assertionStatusReport*       uddi2__assertionStatusReport_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__assertionStatusReport_ | response parameter

int __pub2__get_USCOREauthToken | ( | uddi2__get_USCOREauthToken * | uddi2__get_USCOREauthToken_,
|  | uddi2__authToken * | uddi2__authToken_
| ) |

| Operation "__pub2__get_USCOREauthToken" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="get_authToken" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__get_USCOREauthToken(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__get_USCOREauthToken*         uddi2__get_USCOREauthToken_,
        // response parameters:
        uddi2__authToken*                   uddi2__authToken_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__authToken_ | response parameter

int __pub2__get_USCOREpublisherAssertions | ( | uddi2__get_USCOREpublisherAssertions * | uddi2__get_USCOREpublisherAssertions_,
|  | uddi2__publisherAssertions * | uddi2__publisherAssertions_
| ) |

| Operation "__pub2__get_USCOREpublisherAssertions" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="get_publisherAssertions" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__get_USCOREpublisherAssertions(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__get_USCOREpublisherAssertions* uddi2__get_USCOREpublisherAssertions_,
        // response parameters:
        uddi2__publisherAssertions*         uddi2__publisherAssertions_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__publisherAssertions_ | response parameter

int __pub2__get_USCOREregisteredInfo | ( | uddi2__get_USCOREregisteredInfo * | uddi2__get_USCOREregisteredInfo_,
|  | uddi2__registeredInfo * | uddi2__registeredInfo_
| ) |

| Operation "__pub2__get_USCOREregisteredInfo" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="get_registeredInfo" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__get_USCOREregisteredInfo(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__get_USCOREregisteredInfo*    uddi2__get_USCOREregisteredInfo_,
        // response parameters:
        uddi2__registeredInfo*              uddi2__registeredInfo_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__registeredInfo_ | response parameter

int __pub2__save_USCOREbinding | ( | uddi2__save_USCOREbinding * | uddi2__save_USCOREbinding_,
|  | uddi2__bindingDetail * | uddi2__bindingDetail_
| ) |

| Operation "__pub2__save_USCOREbinding" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="save_binding" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__save_USCOREbinding(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__save_USCOREbinding*          uddi2__save_USCOREbinding_,
        // response parameters:
        uddi2__bindingDetail*               uddi2__bindingDetail_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__bindingDetail_ | response parameter

int __pub2__save_USCOREbusiness | ( | uddi2__save_USCOREbusiness * | uddi2__save_USCOREbusiness_,
|  | uddi2__businessDetail * | uddi2__businessDetail_
| ) |

| Operation "__pub2__save_USCOREbusiness" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="save_business" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__save_USCOREbusiness(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__save_USCOREbusiness*         uddi2__save_USCOREbusiness_,
        // response parameters:
        uddi2__businessDetail*              uddi2__businessDetail_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__businessDetail_ | response parameter

int __pub2__save_USCOREservice | ( | uddi2__save_USCOREservice * | uddi2__save_USCOREservice_,
|  | uddi2__serviceDetail * | uddi2__serviceDetail_
| ) |

| Operation "__pub2__save_USCOREservice" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="save_service" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__save_USCOREservice(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__save_USCOREservice*          uddi2__save_USCOREservice_,
        // response parameters:
        uddi2__serviceDetail*               uddi2__serviceDetail_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__serviceDetail_ | response parameter

int __pub2__save_USCOREtModel | ( | uddi2__save_USCOREtModel * | uddi2__save_USCOREtModel_,
|  | uddi2__tModelDetail * | uddi2__tModelDetail_
| ) |

| Operation "__pub2__save_USCOREtModel" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="save_tModel" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__save_USCOREtModel(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__save_USCOREtModel*           uddi2__save_USCOREtModel_,
        // response parameters:
        uddi2__tModelDetail*                uddi2__tModelDetail_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__tModelDetail_ | response parameter

int __pub2__set_USCOREpublisherAssertions | ( | uddi2__set_USCOREpublisherAssertions * | uddi2__set_USCOREpublisherAssertions_,
|  | uddi2__publisherAssertions * | uddi2__publisherAssertions_
| ) |

| Operation "__pub2__set_USCOREpublisherAssertions" of service binding "PublishSoap". Operation details: SOAP document/literal style SOAP action="set_publisherAssertions" SOAP Fault: _dispositionReport C stub function (defined in soapClient.c[pp]):
      int soap_call___pub2__set_USCOREpublisherAssertions(struct soap *soap,
        NULL, // char *endpoint = NULL selects default endpoint for this operation
        NULL, // char *action = NULL selects default action for this operation
        // request parameters:
        uddi2__set_USCOREpublisherAssertions* uddi2__set_USCOREpublisherAssertions_,
        // response parameters:
        uddi2__publisherAssertions*         uddi2__publisherAssertions_
      );
  C++ proxy class (defined in soapPublishSoapProxy.h): class PublishSoap; Parameters:
  uddi2__publisherAssertions_ | response parameter